#if !COMBAT_SERVER

using UnityEngine.Playables;
using UnityEngine.Timeline;
 
#endif
using UTool.CustomizeTimeLogic.FxLogic.TimeLineEventLogic;
public class TimeLineFallSeraliztion : TimeLineAssetSerialization
{

        
    public TimeLineFallSeraliztion()
    {

    }
#if !COMBAT_SERVER

    public TimeLineFallSeraliztion(PlayableDirector playableDirector, GroupTrack groupTrack,
        TimelineClip timelineClip) : base(groupTrack, timelineClip)
    {
            
    }
#endif

    public override TimeLineEventLogicBasic CreateLogic()
    {
        return new TimeLineFallLogic();
    }
}